Subject: [GIT PULL v2] ARM: arm-soc fixes for 3.8

From: [email-masked] (Tony Lindgren)
Date: Thu, 20 Dec 2012 09:35:49 -0800

* Olof Johansson <[email-masked]> [121220 09:30]:
> [proper reply-to-all this time]
> 
> On Thu, Dec 20, 2012 at 8:49 AM, Linus Torvalds
> <[email-masked]> wrote:
> > On Thu, Dec 20, 2012 at 8:38 AM, Olof Johansson <[email-masked]> wrote:
> >>
> >> One of the sunxi patches from the last pull request was misapplied (I
> >> realized what happened -- git am -s didn't apply cleanly so I had done it
> >> through regular patch, thus not catching the renames properly). Here's
> >> a fresh version of the pull request with a couple more OMAP and Samsung
> >> patches included.
> >
> > Argh!
> >
> > I pulled your earlier branch due to Tony's ack, and now you're
> > re-created that branch with new pulls (effectively rebasing it).
> >
> > Don't do things like this to me.
> 
> Yeah, sorry about that -- I wanted to replace the broken patch, and
> Tony's branch was based on a newer version of your tree so I brought
> everything forward as I had to rebase anyway.
> 
> I'll rebuild on top of what you've pulled, and send a fresh request of
> just the delta. Sorry about the race condition here.

Sorry for me adding to the confusion too.

Looks like Linus already applied "ARM: OMAP: Fix build breakage due
to missing include in i2c.c" that I had queued earlier.

Olof, I suggest you just merge my pull request up to the other commit
c16acf12 (ARM: OMAP2+: Fix compillation error in mach-omap2/timer.c).
Or just pick it whichever works better for you.

Regards,

Tony